## faad2 2.11.1

=== CMakeLists.txt ===
# Available CMake versions:
#  - Ubuntu 20.04 LTS    : 3.16.3
#  - Solaris 11.4 SRU 15 : 3.15
cmake_minimum_required(VERSION 3.15)

include(CheckLibraryExists)
include(CheckSymbolExists)

project(LIBFAAD2 LANGUAGES C)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# If FAAD is being bundled in another project, we don't want to
# install anything. However, we want to let people override this, so
# we'll use the FAAD_BUNDLED_MODE variable to let them do that; just
# set it to OFF in your project before you add_subdirectory(faad2).
get_directory_property(FAAD_PARENT_DIRECTORY PARENT_DIRECTORY)
if(NOT DEFINED FAAD_BUNDLED_MODE)
  # Bundled mode hasn't been set one way or the other, set the default
  # depending on whether or not we are the top-level project.
  if(FAAD_PARENT_DIRECTORY)
    set(FAAD_BUNDLED_MODE ON)
    if(NOT DEFINED BUILD_SHARED_LIBS)
      set(BUILD_SHARED_LIBS OFF)
    endif()
  else()
    set(FAAD_BUNDLED_MODE OFF)
    if(NOT DEFINED BUILD_SHARED_LIBS)
      set(BUILD_SHARED_LIBS ON)
    endif()
  endif()
endif()
mark_as_advanced(FAAD_BUNDLED_MODE)

if(BUILD_SHARED_LIBS)
  if(NOT DEFINED CMAKE_C_VISIBILITY_PRESET)
    set(CMAKE_C_VISIBILITY_PRESET hidden)
  endif()
  if (WIN32 AND NOT DEFINED CMAKE_DLL_NAME_WITH_SOVERSION)
    set(CMAKE_DLL_NAME_WITH_SOVERSION ON)
  endif()
endif()

find_library(MATH_LIBRARY m)

include(GNUInstallDirs)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(CMAKE_MACOS_RPATH TRUE)
  set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif()

# Extract version information

set(CAPTURE_PACKAGE_VERSION "[ \\t]*\"PACKAGE_VERSION\"[ \\t]*:[ \\t]\"(.*)\"")
file(STRINGS "properties.json" _faad_version_line REGEX "${CAPTURE_PACKAGE_VERSION}")
string(REGEX REPLACE "${CAPTURE_PACKAGE_VERSION}" "\\1" FAAD_VERSION "${_faad_version_line}")
string(REPLACE "\." ";" FAAD_VERSION_PARTS ${FAAD_VERSION})
list(GET FAAD_VERSION_PARTS 0 FAAD_VERSION_MAJOR)
list(GET FAAD_VERSION_PARTS 1 FAAD_VERSION_MINOR)
list(GET FAAD_VERSION_PARTS 2 FAAD_VERSION_PATCH)
# Semantic -> library version
# NB(eustas): likely that will be always OK; if not, we could read "overrides" from properties.json
math(EXPR FAAD_ABI_VERSION_CURRENT "${FAAD_VERSION_MAJOR} + ${FAAD_VERSION_MINOR}")
set(FAAD_ABI_VERSION_AGE "${FAAD_VERSION_MINOR}")
set(FAAD_ABI_VERSION_REVISION "${FAAD_VERSION_PATCH}")
set(FAAD_ABI_COMPATIBILITY "${FAAD_VERSION_MAJOR}")

message(STATUS "FAAD PACKAGE_VERSION: ${FAAD_VERSION}")
mark_as_advanced(FAAD_VERSION FAAD_ABI_COMPATIBILITY FAAD_ABI_VERSION_AGE FAAD_ABI_VERSION_REVISION)

file(READ include/faad.h.in FAAD_H_SRC)
string(REGEX REPLACE "@VERSION@" "${FAAD_VERSION}" FAAD_H_SRC ${FAAD_H_SRC})
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/include/faad.h ${FAAD_H_SRC})

# Read sources list

file(GLOB_RECURSE LIBFAAD_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} libfaad/*.c libfaad/*.h)
mark_as_advanced(LIBFAAD_SOURCES)

file(GLOB_RECURSE FAAD_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} frontend/*.c frontend/*.h)
if (NOT MSVC)
  list(FILTER FAAD_SOURCES EXCLUDE REGEX ".*getopt\\.[ch]$")
endif()

# Build

# Lets stick to predefined config, until more flexibility is actually requested.
set(FAAD_DEFINES
  APPLY_DRC
  HAVE_INTTYPES_H=1
  HAVE_MEMCPY=1
  HAVE_STRING_H=1
  HAVE_STRINGS_H=1
  HAVE_SYS_STAT_H=1
  HAVE_SYS_TYPES_H=1
  STDC_HEADERS=1
  PACKAGE_VERSION=\"${FAAD_VERSION}\"
)

check_library_exists(m lrintf "" HAVE_LIBM)
if(HAVE_LIBM)
  list(APPEND CMAKE_REQUIRED_LIBRARIES m)
endif()

check_symbol_exists(lrintf "math.h" HAVE_LRINTF)
if(HAVE_LRINTF)
  list(APPEND FAAD_DEFINES
    HAVE_LRINTF=1
  )
endif()

set(FAAD_FLAGS
  -Wall
)
if(MSVC)
  list(APPEND FAAD_FLAGS
    /wd4702 # unreachable code; there is a false-positive report
    /wd4820 # implicit padding in structs
    /wd5045 # Spectre nonsense
  )
else()
  list(APPEND FAAD_FLAGS
    -pedantic
  )
endif()

if(CMAKE_C_COMPILER_ID MATCHES "GNU")
  list(APPEND FAAD_FLAGS -ffloat-store)
endif()  # GCC

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/include/neaacdec.h
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/include)

foreach(LIB faad faad_drm faad_fixed faad_drm_fixed)
  add_library(${LIB} ${LIBFAAD_SOURCES})
  if(MATH_LIBRARY)
    target_link_libraries(${LIB} PUBLIC ${MATH_LIBRARY})
  endif()
  target_include_directories(${LIB} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}/include
  )
  target_include_directories(${LIB} PRIVATE
    libfaad
  )
  target_compile_definitions(${LIB} PRIVATE
    ${FAAD_DEFINES}
  )
  target_compile_options(${LIB} PRIVATE
    ${FAAD_FLAGS}
  )
endforeach()

foreach(LIB faad_drm faad_drm_fixed)
target_compile_definitions(${LIB} PRIVATE
  DRM_SUPPORT
)
endforeach()

foreach(LIB faad_fixed faad_drm_fixed)
target_compile_definitions(${LIB} PRIVATE
  FIXED_POINT
)
endforeach()

# Generate a pkg-config files

function(generate_pkg_config_path outvar path)
  string(LENGTH "${path}" path_length)

  set(path_args ${ARGV})
  list(REMOVE_AT path_args 0 1)
  list(LENGTH path_args path_args_remaining)

  set("${outvar}" "${path}")

  while(path_args_remaining GREATER 1)
    list(GET path_args 0 name)
    list(GET path_args 1 value)

    get_filename_component(value_full "${value}" ABSOLUTE)
    string(LENGTH "${value}" value_length)

    if(path_length EQUAL value_length AND path STREQUAL value)
      set("${outvar}" "\${${name}}")
      break()
    elseif(path_length GREATER value_length)
      # We might be in a subdirectory of the value, but we have to be
      # careful about a prefix matching but not being a subdirectory
      # (for example, /usr/lib64 is not a subdirectory of /usr/lib).
      # We'll do this by making sure the next character is a directory
      # separator.
      string(SUBSTRING "${path}" ${value_length} 1 sep)
      if(sep STREQUAL "/")
        string(SUBSTRING "${path}" 0 ${value_length} s)
        if(s STREQUAL value)
          string(SUBSTRING "${path}" "${value_length}" -1 suffix)
          set("${outvar}" "\${${name}}${suffix}")
          break()
        endif()
      endif()
    endif()

    list(REMOVE_AT path_args 0 1)
    list(LENGTH path_args path_args_remaining)
  endwhile()

  set("${outvar}" "${${outvar}}" PARENT_SCOPE)
endfunction(generate_pkg_config_path)

function(transform_pc_file INPUT_FILE OUTPUT_FILE VERSION)
  file(READ ${INPUT_FILE} TEXT)

  set(PREFIX "${CMAKE_INSTALL_PREFIX}")
  string(REGEX REPLACE "@prefix@" "${PREFIX}" TEXT ${TEXT})
  string(REGEX REPLACE "@exec_prefix@" "\${prefix}" TEXT ${TEXT})

  generate_pkg_config_path(LIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}" exec_prefix "${PREFIX}")
  string(REGEX REPLACE "@libdir@" "${LIBDIR}" TEXT ${TEXT})

  generate_pkg_config_path(INCLUDEDIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}" prefix "${PREFIX}")
  string(REGEX REPLACE "@includedir@" "${INCLUDEDIR}" TEXT ${TEXT})

  string(REGEX REPLACE "@VERSION@" "${VERSION}" TEXT ${TEXT})

  file(WRITE ${OUTPUT_FILE} ${TEXT})
endfunction()

transform_pc_file("libfaad/faad2.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/faad2.pc" "${FAAD_VERSION}")

foreach(LIB faad faad_drm faad_fixed faad_drm_fixed)
  set_target_properties(${LIB} PROPERTIES
      VERSION "${FAAD_ABI_COMPATIBILITY}.${FAAD_ABI_VERSION_AGE}.${FAAD_ABI_VERSION_REVISION}"
      SOVERSION "${FAAD_ABI_COMPATIBILITY}"
  )
endforeach()

# CLI

add_executable(faad_cli ${FAAD_SOURCES})
target_link_libraries(faad_cli faad)
target_compile_definitions(faad_cli PRIVATE ${FAAD_DEFINES})
target_compile_options(faad_cli PRIVATE ${FAAD_FLAGS})

if (MSVC)
  target_include_directories(faad_cli PRIVATE
    frontend
  )
else()
  set_target_properties(faad_cli PROPERTIES OUTPUT_NAME faad)
endif()

# Installation

if(NOT FAAD_BUNDLED_MODE AND NOT MSVC)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/faad2.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

  install(
    TARGETS faad faad_cli faad_drm
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  )

  # exclude faad.h.in
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/include/faad.h
    FILES ${CMAKE_CURRENT_BINARY_DIR}/include/neaacdec.h
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
  )

  install(
    FILES frontend/faad.man
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
    RENAME faad.1
  )
endif()  # FAAD_BUNDLED_MODE

## faad2 2.7

=== debian/changelog ===
faad2 (2.7-8) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/patches/path_max.patch:
    + Dynamically allocate file name buffers,
      instead of relying on PATH_MAX.
  * Set appropriate symbol visibility attributes.
  * Rebuild autofoo with dh-autoreconf.
  * Add debian/libfaad2.symbols file.
  * Multi-Archify.
  * Remove redundant license blurb from debian/copyright.
  * libmp4ff ist not packaged, so do not install it either.
  * Simplify debian/*.install accordingly.

  [ Andres Mejia ]
  * Make dev package multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Mar 2012 09:07:55 -0400

faad2 (2.7-7) unstable; urgency=low

  [ Andres Mejia ]
  * Update to my @debian.org email.
  * Update gbp.conf.
  
  [ Reinhard Tartler ]
  * Update Vcs-Browser field
  * bump standards version (no changes needed)

  [ Fabian Greffrath ]
  * Convert to 3.0 (quilt) source format.
  * Re-enable two patches that got lost in the 2.7-6 upload:
    - debian/patches/bpa-stdin.patch
      + Apply SqueezeCenter patches from FreeBSD that enable streaming with
        BBCiPlayer and ezstream (LP: #470562).
    - debian/patches/path_max.patch
      + Extend file name buffers for longer path names (LP: #475050).
  * Merge patch from 2.7-6ubuntu1:
    - debian/patches/fix_ftbfs_with_gcc4.5.patch
      + Correctly declare lrintf in libfaad/common.h to avoid a conflict of
        declaration in mathcalls.h to fix FTBFS on i386
  * Improve debian/copyright.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 03 Aug 2011 14:19:49 +0200

faad2 (2.7-6) unstable; urgency=high

  [ Alessio Treglia ]
  * Fix segmentation fault in faad due to an incorrect pointer size
    (Closes: #603807, LP: #665802).
  * Add gbp config file.

  [ Andres Mejia ]
  * Revert changes in 2.7-5. Upload of 2.7-5 was unintentionally done.
  * Refresh patches.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 22 Nov 2010 19:17:36 -0500

faad2 (2.7-5) unstable; urgency=low

  * Update my e-mail address.
  * Apply SqueezeCenter patches from FreeBSD that enable streaming with
    BBCiPlayer and ezstream (LP: #470562).
  * Extend file name buffers for longer path names (LP: #475050).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 16 Aug 2010 16:43:14 +0200

faad2 (2.7-4) unstable; urgency=low

  * debian/control: Do not build the shared libmp4ff library packages
    anymore (Closes: #550679). The use of mp4ff from faad2 is discouraged
    by upstream, see <http://xbmc.org/trac/ticket/6882#comment:15>.
  * Removed debian/patches/force-include-stdint_h.patch.
  * Removed debian/patches/libmp4ff-shared-lib.patch.
  * Removed debian/patches/70_automake-1.9.patch.
  * Added debian/README.source.
  * Bumped Standards-Version to 3.8.3.
  * Raised Build-Depends to debhelper (>= 7.0.50~), thanks lintian.
  * Removed debian/libmp4ff-dev.install and debian/libmp4ff0.install.
  * Removed libmp4ff0 from Depends for faad2-dbg.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 26 Oct 2009 12:04:41 +0100

faad2 (2.7-3) UNRELEASED; urgency=low

  * debian/patches/force-include-stdint_h.patch: New patch to force
    inclusion of stdint.h (Closes: #550679).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Thu, 15 Oct 2009 18:00:41 +0200

faad2 (2.7-2) unstable; urgency=low

  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Sep 2009 21:07:45 +0200

faad2 (2.7-1) experimental; urgency=low

  [ Andres Mejia ]
  * New upstream release. (Closes: #515072)
  * Verified all patches are either applied upstream, or a different
    implementation is used.
    + (Closes: #505901)
    + (Closes: #503657)
  * Switch to quilt.
  * Add -DPIC for CFLAGS.
  * Don't include dpatch.make in debian/rules.
  * Update watch file to default DEHS would use.
  * Bump to using debhelper 7.
  * Use quilt (>= 0.46-7).
  * Update control file.
  * Add DM-Upload-Allowed: yes field.
  * Don't include dummy package anymore.
  * Add in description for libfaad2 that it contains shared library.
  * Move libfaad-dev to the front to be 'default' package debhelper acts
    on.
  * Add ${misc:Depends} for all packages. Remove libc dev packages from
    Depends.
  * Add debug packages. (Closes: #516680)
  * Rewrite debian/rules to use new debhelper and quilt.
  * Rename <package>.files to <package>.install. Be more specific what
    to include in libfaad-dev. Also include .install files for other packages.
  * Add libmp4ff-dev package.
  * Don't include version for rename of libfaad package. Place all debug
    symbols  for binary packages in faad2-dbg.
  * Modify description for libmp4ff-dev.
  * Update address to FSF in debian/copyright.
  * Fix hyphen in manpage. Fixes lintian warning as well.
  * Patch faad2 to create a shared lib for libmp4ff. (Closes: #485373)
  * Allow to pass in more CFLAGS via DEB_CFLAGS.
  * Add in DRM (Digital Radio Mondiale) support.
  * Add Build-Depends of automake, autoconf, and autotools-dev.

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Clean up Build-Depends: libid3-dev was only needed for the obsolete
    XMMS plugin, autotools stuff shouldn't be needed at all.
  * Untagle library file names in the install rules.
  * Revert overriding of CFLAGS, dpkg-buildpackage will choose
    appripriate settings. Revert running the entire autoreconf sequence
    before calling ./configure. Build without DRM support, it has proven
    to break base functionality.
  * Clean up watch file.
  * Make faad2-dbg and libmp4ff-dev depend on libmp4ff0.
  * Improve short description for the libmp4ff\* packages.
  * debian/patches/70_automake-1.9.patch: New patch, run automake-1.9 to
    regenerate Makefile.in with the changes introduced by
    debian/patches/libmp4ff-shared-lib.patch.
  * Do not ship .la files in the development packages.
  * Add reasonable defaults to CFLAGS/CXXFLAGS.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Wed, 03 Jun 2009 11:02:00 +0200



=== debian/control ===
Source: faad2
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Matthew W. S. Bell <matthew@bells23.org.uk>,
           Andres Mejia <amejia@debian.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Fabian Greffrath <fabian+debian@greffrath.com>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9),
 dh-autoreconf
Homepage: http://www.audiocoding.com/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/faad2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/faad2.git

Package: libfaad-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends: libfaad2 (= ${binary:Version}), ${misc:Depends}
Conflicts: libfaad2-dev
Replaces: libfaad2-dev
Description: freeware Advanced Audio Decoder - development files
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains development files.

Package: libfaad2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libfaad2-0
Replaces: libfaad2-0
Description: freeware Advanced Audio Decoder - runtime files
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains the shared library.

Package: faad2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libfaad2 (= ${binary:Version}), faad (= ${binary:Version}),
         ${misc:Depends}
Description: freeware Advanced Audio Decoder - debugging symbols
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains the debugging symbols for all binary packages.

Package: faad
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: faad2
Replaces: faad2
Description: freeware Advanced Audio Decoder player
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains a command line interface to play AAC or MP4 files.

=== debian/watch ===
version=3
http://sf.net/faac/faad2-(.*)\.tar.gz

## faad2 2.8.0~cvs20150510

=== debian/changelog ===
faad2 (2.8.0~cvs20150510-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Various issues were discovered in faad2 that can
    cause DoS (large loop and CPU consumption) via a crafted mp4 file.
    - debian/patches/CVE-2017-92xx.patch: Fix multiple vulnerabilities.
    - CVE-2017-9218
    - CVE-2017-9219
    - CVE-2017-9220
    - CVE-2017-9221
    - CVE-2017-9222
    - CVE-2017-9223
    - CVE-2017-9253
    - CVE-2017-9254
    - CVE-2017-9255
    - CVE-2017-9256
    - CVE-2017-9257

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 22 Feb 2019 08:22:51 -0300

faad2 (2.8.0~cvs20150510-1) unstable; urgency=medium

  * New upstream CVS snapshot.
    + Does not crash when given ADTS AAC file with large ID3v2 tag anymore,
      thanks Mike Crowe for the bug report and patch (Closes: #689712).
    + Does not crash with the Mayhem testcase anymore, thanks Alexandre Rebert
      for the bug report (Closes: #715882).
  * Add debian/README.source to document how the Debian source tarball was
    created and force xz compression in debian/gbp.conf.
  * Remove all patches that were either applied, solved differently or
    disapproved upstream:
    + autotools-compat.patch: Disapproved upstream.
    + noinst-mp4ff.patch: Applied upstream.
    + manpage.patch: Applied upstream.
    + incorrect_pointer_size.patch: Does not apply anymore.
    + bpa-stdin.patch: Applied upstream.
    + path_max.patch: Applied upstream.
    + fix_ftbfs_with_gcc4.5.patch: Disapproved upstream.
    + symbol-visibility.patch: Does not apply anymore.
    + libfaad-drm.patch: Applied upstream.
  * Ship upstream's own frontend and API documentation manpages.
  * Update Debian packaging copyright years.
  * Remove '__DATE__' CPP macro for reproducible builds.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 11 May 2015 13:59:49 +0200

faad2 (2.7-9) unstable; urgency=medium

  * Build the DRM version of the library as well as the normal version,
    thanks Julian Cable for the idea and the patch!
  * Remove Andres Mejia from Uploaders (Closes: #743545).
  * Remove "DM-Upload-Allowed" field from debian/control.
  * Mark the faad2-dbg package as "Multi-Arch: same" and
    remove faad ("Multi-Arch: no") from its Dependencies.
  * Remove debian/source/local-options, they are default now.
  * Add faad.lintian-overrides for a spelling error that is used
    in the id3 specification.
  * Fix "vcs-field-not-canonical" lintian warning.
  * Fix "'visibility' attribute ignored on non-class types" compiler warnings
    introduced by our symbol versioning patch.
  * Fix most autotools warnings.
  * Bump "Standards-Version" to 3.9.6.
  * Run "wrap-and-sort -asb".
  * Add extensive API documentation in libfaad.3, courtesy of Julian Cable.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 30 Apr 2015 18:04:42 +0200

=== debian/control ===
Source: faad2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthew W. S. Bell <matthew@bells23.org.uk>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf
Homepage: http://www.audiocoding.com/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faad2.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/faad2.git

Package: faad
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 faad2
Replaces:
 faad2
Description: freeware Advanced Audio Decoder player
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains a command line interface to play AAC or MP4 files.

Package: faad2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libfaad2 (= ${binary:Version}),
 ${misc:Depends}
Description: freeware Advanced Audio Decoder - debugging symbols
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains the debugging symbols for the shared library.

Package: libfaad-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends:
 libfaad2 (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libfaad2-dev
Replaces:
 libfaad2-dev
Description: freeware Advanced Audio Decoder - development files
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains development files.

Package: libfaad2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libfaad2-0
Replaces:
 libfaad2-0
Description: freeware Advanced Audio Decoder - runtime files
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains the shared library and an extra
 library with support for Digital Radio Mondiale (DRM).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=faad2-dbg

## faad2 2.8.0~cvs20161113

=== debian/changelog ===
faad2 (2.8.0~cvs20161113-1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2018-20357, CVE-2018-20359, CVE-2018-20197, CVE-2018-20194,
    CVE-2018-19503, CVE-2018-20361: multiple memory corruption vulnerabilities
    caused by insufficiently sanitized frequency band borders.
  * CVE-2018-20358, CVE-2018-20362, CVE-2018-19504, CVE-2018-20195,
    CVE-2018-20198: multiple memory corruption vulnerabilities caused by syntax
    element inconsistencies (implicit channel mapping reconfiguration).
  * CVE-2019-15296: buffer overflow in faad_resetbits.
  * CVE-2018-19502: heap based buffer overfow in excluded_channels
    (libfaad/syntax.c) (Closes: #914641).

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 06 Sep 2019 18:52:19 +0200

faad2 (2.8.0~cvs20161113-1+deb9u1) stretch; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2017-9218, CVE-2017-9219, CVE-2017-9220, CVE-2017-9221,
    CVE-2017-9222, CVE-2017-9223, CVE-2017-9253, CVE-2017-9254, CVE-2017-9255,
    CVE-2017-9256, CVE-2017-9257.
    Various issues were discovered in faad2, a fast audio decoder, that could
    cause a denial of service (large loop and CPU consumption) via a crafted
    mp4 file. (Closes: #889915)

 -- Markus Koschany <apo@debian.org>  Tue, 01 May 2018 17:49:02 +0200

faad2 (2.8.0~cvs20161113-1) unstable; urgency=medium

  * New upstream CVS snapshot.
    + Fixes implicit SBR detection via AudioSpecificConfig
      on systems with unsigned char (Closes: #843173).
  * Change Uploaders field to use my Debian account.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 13 Nov 2016 17:45:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
- Fabian Greffrath <fabian+debian@greffrath.com>
+ Fabian Greffrath <fabian@debian.org>
 Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),

## faad2 2.8.1

=== debian/changelog ===
faad2 (2.8.1-2) unstable; urgency=medium

  * Set the FAAD2_VERSION macro back to the version string,
    thanks Adrian Bunk (Closes: #868854).
    + In the next upstream release this macro will read "unknown version"
      and an API will be provided to retrieve the actual library version
      at run-time.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 02 Aug 2017 20:46:57 +0200

faad2 (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1.
    + Fixes multiple vulnerabilities: CVE-2017-9218,
      CVE-2017-9219, CVE-2017-9220, CVE-2017-9221,
      CVE-2017-9222, CVE-2017-9223, CVE-2017-9253,
      CVE-2017-9254, CVE-2017-9255, CVE-2017-9256,
      CVE-2017-9257 (Closes: #867724).
  * Update debian/watch file.
  * Refresh reproducible-build.patch.
  * Remove debian/README.source and debian/gbp.conf files, 
    they do not apply anymore.
  * Bump Standards-Version to 4.0.0.
  * Bump debhelper compat to 10.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Enable all hardening flags.
  * Update debian/copyright,
    refer to MPL-1.1 in common-licenses.
  * Drop obsolete faad2-dbg package.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 17 Jul 2017 22:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf
+ debhelper (>= 10~)
 Homepage: http://www.audiocoding.com/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faad2.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/faad2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faad2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faad2.git/
 
 Package: faad
 Section: sound
@@ -30,21 +29,6 @@
  files.
  .
  This package contains a command line interface to play AAC or MP4 files.
-
-Package: faad2-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends:
- libfaad2 (= ${binary:Version}),
- ${misc:Depends}
-Description: freeware Advanced Audio Decoder - debugging symbols
- FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
- decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
- files.
- .
- This package contains the debugging symbols for the shared library.
 
 Package: libfaad-dev
 Multi-Arch: same

## faad2 2.8.8

=== debian/changelog ===
faad2 (2.8.8-1) unstable; urgency=medium

  * New upstream version 2.8.8

 -- Fabian Greffrath <fabian@debian.org>  Mon, 18 Dec 2017 21:28:02 +0100

faad2 (2.8.6-1) unstable; urgency=medium

  * New upstream version 2.8.6

 -- Fabian Greffrath <fabian@debian.org>  Mon, 06 Nov 2017 17:05:46 +0100

faad2 (2.8.5-1) unstable; urgency=medium

  * New upstream version 2.8.5
  * Remove faad2_version.patch, upstream has changed the
    FAAD2_VERSION macro to read 'unknown'.
  * Refresh reproducible-build.patch.
  * Add the NeAACDecGetVersion@Base symbol to the libfaad2.symbols file,
    this function is supposed to be used to get the FAAD2 library
    version at runtime.
  * Update debian/copyright for recently added or removed source files.
  * Bump Standards-Version to 4.1.0.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Sep 2017 14:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Build-Depends:
  debhelper (>= 10~)
 Homepage: http://www.audiocoding.com/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='faad2-dbg (<< 2.8.1-1~)'

=== debian/watch ===
version=3
http://sf.net/faac/faad2-(\d\S+)\.tar.gz

## faad2 2.8.8.2

=== debian/changelog ===
faad2 (2.8.8.2-1+security) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Thu, 01 Apr 2021 21:31:36 +0800

faad2 (2.8.8.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- liuyong <liuyong@deepin.com>  Fri, 03 Jul 2020 13:39:53 +0800

faad2 (2.8.8-3) unstable; urgency=high

  * Team upload.
  * debian/patches: Cherry-pick patch to fix buffer overflows from VLC.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Jun 2019 20:07:34 +0200

faad2 (2.8.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Fabian Greffrath ]
  * Backport two patches from upstream to fix CVE-2018-20194 and
    CVE-2018-20362, thanks Hugo Lefeuvre.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 17 Apr 2019 11:50:29 +0200

=== debian/watch ===
version=3
https://sf.net/faac/faad2-(\d\S+)\.tar.gz

## faad2 2.9.1

=== debian/changelog ===
faad2 (2.9.1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary Code Execution
    - debian/patches/CVE-2021-32272.patch: fixed a buffer overflow in stszin
      function.
    - debian/patches/CVE-2021-32273.patch: fixed a buffer overflow in ftypin
      function.
    - debian/patches/CVE-2021-32274.patch: fixed two buffer overflows, one in
      sbr_qmf_synthesis_64 function (CVE-2021-32274) and the other one in 
      sbr_qmf_analysis_32 function (CVE-2021-32277).
    - debian/patches/CVE-2021-32278.patch: fixed a buffer overflow in 
      lt_prediction function.
    - debian/patches/CVE-2023-38857-[1-2].patch: fixed a buffer overflow in 
      stcoin function.
    - debian/patches/CVE-2023-38858.patch: fixed a buffer overflow in mp4info
      function
    - CVE-2021-32272
    - CVE-2021-32273
    - CVE-2021-32274
    - CVE-2021-32277
    - CVE-2021-32278 
    - CVE-2023-38857
    - CVE-2023-38858
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-32276.patch: fixed a null pointer dereference in 
      get_sample function.
    - CVE-2021-32276 

 -- Amir Naseredini <amir.naseredini@canonical.com>  Tue, 22 Aug 2023 14:07:04 +0100

faad2 (2.9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Fabian Greffrath ]
  * New upstream version 2.9.1

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 Nov 2019 16:52:15 +0100

faad2 (2.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Ack NMUs, thanks Hugo!
  * Upstream moved to GitHub, adapt packaging accordingly.
  * New upstream version 2.9.0.
  * Remove all patches, applied upstream.
  * Build reproducibly.
  * Finish debug symbols package migration.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Add Build-Depends-Package line to the symbols file.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 11 Sep 2019 20:28:04 +0200

faad2 (2.8.8-3.2) unstable; urgency=high

  * Non-maintainer upload with maintainer's permission.
  * debian/patches/gcc-9.patch: Fix build with GCC-9 (thanks Gianfranco
    Costamagna for the patch) (Closes: #930363).

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 31 Aug 2019 09:11:54 -0400

faad2 (2.8.8-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * CVE-2019-6956: Buffer over read in the function ps_mix_phase()
    (libfaad/ps_dec.c) (Closes: #914641).
  * CVE-2018-20196: Stack buffer overflow in the function calculate_gain
    (libfaad/sbr_hfadj.c).
  * CVE-2018-20199, CVE-2018-20360: NULL pointer dereference in the function
    ifilter_bank (libfaad/filtbank.c).

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 27 Aug 2019 13:29:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Build-Depends:
- debhelper (>= 10~)
-Homepage: http://www.audiocoding.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faad2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faad2.git/
+ debhelper-compat (= 12)
+Homepage: https://github.com/knik0/faad2
+Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/faad2
 
 Package: faad
 Section: sound

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/knik0/faad2/releases \
/knik0/faad2/archive/(\d[_\d]*)@ARCHIVE_EXT@

## faad2 2.9.2

=== debian/changelog ===
faad2 (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2
  * Install pkg-config file.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 May 2020 22:05:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -13,6 +12,7 @@
 Homepage: https://github.com/knik0/faad2
 Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/faad2
+Rules-Requires-Root: no
 
 Package: faad
 Section: sound

## faad2 2.10.0

=== debian/changelog ===
faad2 (2.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Fabian Greffrath ]
  * Fix debian/watch file.
  * Add post-release patch from upstream to reject buffers of zero
    size.
  * Bump Standards-Version to 4.6.0.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 21 Oct 2021 12:46:57 +0200

faad2 (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Bump Standards-Version to 4.5.0.
  * Drop "-Wl,--as-needed" linker flag.
  * Bump debhelper-compat to 13.
  * Add "usr/lib/${DEB_HOST_MULTIARCH}/*.la" to debian/not-installed.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 20 Oct 2020 21:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Homepage: https://github.com/knik0/faad2
 Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/faad2

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/knik0/faad2/releases \
/knik0/faad2/archive/refs/tags/(\d[_\d]*)@ARCHIVE_EXT@

## faad2 2.10.1

=== debian/changelog ===
faad2 (2.10.1-1) unstable; urgency=medium

  * Fix debian/watch file.
  * New upstream version 2.10.1
  * Remove patches, applied upstream.
  * Update Debian packaging copyright.
  * Update faad.lintian-overrides file.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 20 Oct 2022 22:15:02 +0200

## faad2 2.11.1

=== debian/changelog ===
faad2 (2.11.1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:49:18 +0200

faad2 (2.11.1-1) unstable; urgency=medium

  * Add fixed CVE ids to previous debian/changelog entry.
  * New upstream version 2.11.1
    + Check for lrintf() availability, link with -lm and define
      HAVE_LRINTF accordingly (Closes: #1055729).
  * Upstream installs the frontend manpage again, so do we.
  * Add "Build-Depends-Package: libfaad-dev" to libfaad_drm.so.2
    symbols.
  * Bump Standards-Version to 4.6.2.
  * Bump Debian packaging copyright to 2023.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 14 Nov 2023 08:32:47 +0100

faad2 (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
    + Fixes CVE-2023-38857, CVE-2023-38858 (Closes: #1050094, #1050095).
  * Add cmake to Build-Depends.
  * Build only shared libraries.
  * Build with -fvisibility=hidden.
  * Remove plugins/ directory from debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 07 Nov 2023 10:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
+ cmake,
  debhelper-compat (= 13)
 Homepage: https://github.com/knik0/faad2
 Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git

## faad2 2.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -96,16 +96,21 @@
 
 # Lets stick to predefined config, until more flexibility is actually requested.
 set(FAAD_DEFINES
-  APPLY_DRC
   HAVE_INTTYPES_H=1
   HAVE_MEMCPY=1
   HAVE_STRING_H=1
   HAVE_STRINGS_H=1
   HAVE_SYS_STAT_H=1
   HAVE_SYS_TYPES_H=1
-  STDC_HEADERS=1
   PACKAGE_VERSION=\"${FAAD_VERSION}\"
 )
+
+option(FAAD_APPLY_DRC "Apply dynamic range control" ON)
+if(FAAD_APPLY_DRC)
+  list(APPEND FAAD_DEFINES
+    APPLY_DRC
+  )
+endif()
 
 check_library_exists(m lrintf "" HAVE_LIBM)
 if(HAVE_LIBM)
@@ -245,28 +250,34 @@
 endforeach()
 
 # CLI
-
-add_executable(faad_cli ${FAAD_SOURCES})
-target_link_libraries(faad_cli faad)
-target_compile_definitions(faad_cli PRIVATE ${FAAD_DEFINES})
-target_compile_options(faad_cli PRIVATE ${FAAD_FLAGS})
-
-if (MSVC)
-  target_include_directories(faad_cli PRIVATE
-    frontend
-  )
-else()
-  set_target_properties(faad_cli PROPERTIES OUTPUT_NAME faad)
-endif()
-
+option(FAAD_BUILD_CLI "Build faad_cli executable" ON)
+if (FAAD_BUILD_CLI)
+  add_executable(faad_cli ${FAAD_SOURCES})
+  target_link_libraries(faad_cli faad)
+  target_compile_definitions(faad_cli PRIVATE ${FAAD_DEFINES})
+  target_compile_options(faad_cli PRIVATE ${FAAD_FLAGS})
+
+  if (MSVC)
+    target_include_directories(faad_cli PRIVATE
+      frontend
+    )
+  else()
+    set_target_properties(faad_cli PROPERTIES OUTPUT_NAME faad)
+  endif()
+endif()
 # Installation
 
-if(NOT FAAD_BUNDLED_MODE AND NOT MSVC)
+if(NOT FAAD_BUNDLED_MODE)
   install(FILES "${CMAKE_CURRENT_BINARY_DIR}/faad2.pc"
     DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
+  set(INSTALL_TARGETS faad faad_drm)
+  if (FAAD_BUILD_CLI)
+    list(APPEND INSTALL_TARGETS faad_cli)
+  endif()
+
   install(
-    TARGETS faad faad_cli faad_drm
+    TARGETS ${INSTALL_TARGETS}
     ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
     LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"

=== debian/changelog ===
faad2 (2.11.2-1) unstable; urgency=medium

  * New upstream version 2.11.2
  * Bump Standards-Version to 4.7.2
  * Bump my Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Tue, 04 Mar 2025 09:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends:
  cmake,
  debhelper-compat (= 13)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = \
	-DBUILD_DATE="\"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)\"" \
	-fvisibility=hidden

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=ON

=== debian/watch ===
version=4
https://github.com/knik0/faad2/tags \
https://github.com/knik0/faad2/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
